@echo off
@title=IE安全级别设置
echo 系统安装中，请不要关闭这个窗口
mshta vbscript:msgbox("准备开始设置IE安全级别，设置之前请先关闭IE浏览器",64,"设置IE安全级别")(window.close)

echo ######启用弹出窗口阻止程序 禁止
reg add "HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\New Windows" /v PopupMgr /t REG_DWORD /d 00000000 /f

echo ######信任站点 http://117.40.229.12
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Ranges\Range1" /v http /t REG_DWORD /d 0x00000002 /f
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Ranges\Range1" /v ":Range" /t REG_SZ /d 117.40.229.12  /f
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Ranges\Range1" /v ":Range" /t REG_SZ /d 192.30.1.102  /f

echo ######ActiveX 控件自动提示 启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 2201 /t REG_DWORD /d 00000000 /f

echo ###### 对标记为可安全执行脚本的   ActiveX   控件执行脚本 启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1405 /t REG_DWORD /d 00000000 /f

echo ###### 对未标记为安全的   ActiveX   控件进行初始化和脚本运行 启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1201 /t REG_DWORD /d 00000000 /f

echo ###### 二进制和脚本行为  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 2000 /t REG_DWORD /d 00000000 /f

echo ###### 仅允许经过批准的域在未经提示的情况下使用ActiveX  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 120B /t REG_DWORD /d 0x00000003 /f

echo ###### 下载未签名的ActiveX控件  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1004 /t REG_DWORD /d 00000000 /f

echo ###### 下载已签名的ActiveX控件  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1001 /t REG_DWORD /d 00000000 /f

echo ###### 允许ActiveX筛选  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 2702 /t REG_DWORD /d 00000000 /f

echo ######  允许Scriptlet  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1209 /t REG_DWORD /d 00000000 /f

echo ######  允许运行以前未使用的ActiveX控件而不提示  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1208 /t REG_DWORD /d 00000000 /f


echo ######  运行ActiveX控件和插件  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1200 /t REG_DWORD /d 00000000 /f

echo ######  在没有使用外部媒体播放机的网页上显示视频和动画  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 120A /t REG_DWORD /d 00000000 /f

echo ######  使用弹出窗口阻止程序  禁用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1809 /t REG_DWORD /d 0x00000003 /f

echo ######  文件下载  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1803 /t REG_DWORD /d 00000000 /f

echo ######  文件下载自动提示  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 2200 /t REG_DWORD /d 00000000 /f

echo ######  字体下载  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1604 /t REG_DWORD /d 00000000 /f

echo ######  允许对剪贴板进行编程访问  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\Zones\2" /v 1407 /t REG_DWORD /d 00000000 /f

echo ######  允许活动内容在我的计算机上的文件中运行  启用
reg add "HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_LOCALMACHINE_LOCKDOWN" /v "iexplore.exe" /t REG_DWORD /d 00000000 /f

echo ######  Internet临时文件-检查存储的页面的较新版本  每次访问网页时(E)
reg add "HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings" /v "SyncMode5" /t REG_DWORD /d 0x00000003 /f

echo 安装结束!
mshta vbscript:msgbox("IE浏览器安全级别设置成功,请重新打开IE浏览器",64,"设置IE安全级别")(window.close)